/* ableLister.h*/

// make sure debugging is on

#define DEBUG 1

#ifndef BECKUP_H
#define BECKUP_H


#ifndef _STDLIB
#include <stdlib.h>
#endif
#ifndef _STRING
#include <string.h>
#endif


// Bring in the Be headers

#ifndef _APPLICATION_H
#include <Application.h>
#endif

#ifndef _WINDOW_H
#include <Window.h>
#endif

#ifndef _VIEW_H
#include <View.h>
#endif

#ifndef _MENU_H
#include <Menu.h>
#endif

#ifndef _MENU_ITEM_H
#include <MenuItem.h>
#endif

#ifndef _MENU_BAR_H
#include <MenuBar.h>
#endif

#ifndef _SCROLL_VIEW_H
#include <ScrollView.h>
#endif

#ifndef _LIST_VIEW_H
#include <ListView.h>
#endif

#ifndef _ALERT_H
#include <Alert.h>
#endif


#ifndef _SUPPORT_DEFS_H
#include <SupportDefs.h>
#endif
#ifndef _DEBUG_H
#include <Debug.h>
#endif
#ifndef _OBJECT_H
#include <Object.h>
#endif
#ifndef _CLASS_INFO_H
#include <ClassInfo.h>
#endif
#ifndef _LIST_H
#include <List.h>
#endif
#ifndef _ERRORS_H
#include <Errors.h>
#endif


#ifndef _APP_DEFS_H
#include <AppDefs.h>
#endif

#ifndef _STORAGE_KIT_H
#include <StorageKit.h>
#endif



// Declare my application class

class CaseApplication : public BApplication {

public:
					CaseApplication();
virtual	void 		AboutRequested();
};


// declare my signature
#define MY_SIG					'KATL'
#endif
