#ifndef CASE_VIEW_H
#define CASE_VIEW_H

const rgb_color black={0,0,0,0};
const rgb_color green={0,255,0,0};
const rgb_color blue={0,0,255,0};
const rgb_color red={255,0,0,0};

const rgb_color gray87={222,222,222,0};
const rgb_color gray40={102,102,102,0};
const rgb_color gray80={205,205,205,0};
const rgb_color gray27={69,69,69,0};
const rgb_color gray47={120,120,120,0};
const rgb_color gray60={154,154,154,0};
const rgb_color gray73={187,187,187,0};

#define IT_LIST_SEL_MESSAGE 'KASM'
#define IT_LIST_INV_MESSAGE 'KAIM'

typedef struct cItem
{
BDirectory* 	itemDir;
long 			level;
bool 			open;
bool			selected;
} cItem;

class CListView;
				
class cView : public BView {

public:
				cView( BRect frame, char *name,BWindow *theWindow); 
virtual	void	AttachedToWindow();
		void 	UpdateItList(void);
		void 	AddSubDir(BDirectory *cDir,long cLev=0, long curItem=0, bool cSel=TRUE);
		void 	RemoveSubDir(long curItem,long curLev);
		void 	Triangle(long curV);
		void	Mark(long curV);


private:
short			curV;
CListView 		*fItName;
BScrollView 	*fAppScrollView;

 
};

class	CListView: public BListView {
public:
					CListView(cView *mother,BRect frame,const char *name, ulong resizingMode,ulong flags);
private:
			cView	*mView;
virtual 	void 	DrawItem(BRect updateRect, long index);
virtual		void 	HighlightItem(bool flag, long index);
virtual 	float 	ItemHeight(void);
			void 	DrawTriangle(bool);
			void 	MouseDown(BPoint point);
			void 	DrawRes(ulong id,char* name);
};
const rgb_color white={255,255,255,0};
#endif
